Bug 1524530 (CVE-2017-17426) - CVE-2017-17426 glibc: Integer overflow with enabled tcache
Summary: CVE-2017-17426 glibc: Integer overflow with enabled tcache
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-17426
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 16:19 UTC by Andrej Nemec
Modified: 2019-09-29 14:28 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:33:24 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-12-11 16:19:43 UTC
The malloc function in the GNU C Library (aka glibc or libc6) 2.26 could return a memory block that is too small if an attempt is made to allocate an object whose size is close to SIZE_MAX, potentially leading to a subsequent heap overflow. This occurs because the per-thread cache (aka tcache) feature enables a code path that lacks an integer overflow check.

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=22375

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=34697694e8a93b325b18f25f7dcded55d6baeaf6

Introduced by:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d5c3fafc4307c9b7a4c7d5cb381fcdbfad340bcc


Note You need to log in before you can comment on or make changes to this bug.